# Method: operators.clients.users.planStatus.create

- [HTTP request](https://developers.google.com/mobile-data-plan/reference/rest/v1/operators.clients.users.planStatus/create#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/mobile-data-plan/reference/rest/v1/operators.clients.users.planStatus/create#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/mobile-data-plan/reference/rest/v1/operators.clients.users.planStatus/create#body.request_body)
- [Response body](https://developers.google.com/mobile-data-plan/reference/rest/v1/operators.clients.users.planStatus/create#body.response_body)
- [Authorization Scopes](https://developers.google.com/mobile-data-plan/reference/rest/v1/operators.clients.users.planStatus/create#body.aspect)

Allows a mobile operator (identified by its unique Autonomous System Number (ASN)) to add new PlanStatus entry for a user to be used by a particular client.

### HTTP request

`POST https://mobiledataplansharing.googleapis.com/v1/{parent=operators/*}/clients/{clientId}/users/{userKey}/planStatus`

The URL uses [gRPC Transcoding](https://github.com/googleapis/googleapis/blob/master/google/api/http.proto) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` The resource name of the parent resource in the following format: `operators/{asn_id}`. |
| `clientId` | `string` Client for which the plan status is being shared with Google. The client ids supported are mobiledataplan and youtube. |
| `userKey` | `string` User key identifiying the user whose plan status is being created. |

### Request body

The request body contains an instance of `https://developers.google.com/mobile-data-plan/reference/rest/v1/operators.clients.users.planStatus#PlanStatus`.

### Response body

If successful, the response body contains a newly created instance of `https://developers.google.com/mobile-data-plan/reference/rest/v1/operators.clients.users.planStatus#PlanStatus`.

### Authorization Scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/dataplansharing`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).